Bug 1467949 - Update "Allowing Unauthenticated Binds" section
Update "Allowing Unauthenticated Binds" section
Status: CLOSED CURRENTRELEASE
Product: Red Hat Directory Server
Classification: Red Hat
Component: Doc-administration-guide (Show other bugs)
10.1
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Marc Muehlfeld
Viktor Ashirov
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-05 11:15 EDT by Marc Muehlfeld
Modified: 2017-07-13 03:06 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-13 03:06:45 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marc Muehlfeld 2017-07-05 11:15:57 EDT
Document URL: 
https://access.redhat.com/documentation/en-us/red_hat_directory_server/10/html/administration_guide/configuring-special-binds#unauthenticated-binds


Section Number and Name: 
15.7.3. Allowing Unauthenticated Binds


Describe the issue / Suggestions for improvement:
* "changetype: replace" must be "changetype: modify"
* In the "ldapsearch" example, it's not obvious that we don't enter a password when we use -W. It would be better to use -w "" instead.
* Add a <warning> that this dangerous!
Comment 1 Marc Muehlfeld 2017-07-05 11:32:15 EDT
> Unauthenticated binds only apply to bind attempts where a password is
> not given but a bind identity is.

This also doesn't seem to be correct. In my 10.1 test environment I can connect without or with an non-existent user name and get results. For example:
# ldapsearch -D "cn=non-existent-user" -w "" -p 389 -h server.example.com -b "dc=example,dc=com" -x
Comment 2 Marc Muehlfeld 2017-07-06 04:42:28 EDT
The parameter description in the Configuration, Command, and File Reference needs a huge <warning>, too.
Comment 4 Marc Muehlfeld 2017-07-13 03:06:45 EDT
The update is now available on the Customer Portal.

Note You need to log in before you can comment on or make changes to this bug.